Skip to main content
`Ctrl`+`K`

# doxysphinx.utils.contexts

The contexts module contains several python context manager related functions.

## Classes

`TimedContext` | A context manager to measure elapsed time.

## Module Contents

class doxysphinx.utils.contexts.TimedContext

  Bases: `object`

  A context manager to measure elapsed time.

  Use it to measure the time taken to process the inner code.

  Usage:

  elapsed() → datetime.timedelta

    Get the elapsed time.

    Returns:

      The duration.

  elapsed_humanized() → str

    Get the elapsed time as a “humanized” format.

    Returns:

      A humanized string of the elapsed time - Something like “3 days 5 hours 17 minutes”.